<?php
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------+
// | PHP version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2002 The PHP Group                                |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the PHP license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at                              |
// | http://www.php.net/license/2_02.txt.                                 |
// | If you did not receive a copy of the PHP license and are unable to   |
// | obtain it through the world-wide-web, please send a note to          |
// | license@php.net so we can mail you a copy immediately.               |
// +----------------------------------------------------------------------+
// | Authors: Byrne Reese <byrne at majordojo dot com                     |
// +----------------------------------------------------------------------+
//
// $Id: category.php,v 1.4 2003/06/18 04:10:48 byrnereese Exp $

require_once("pmi.inc");
require_once("directory.inc");

$cat = $_REQUEST['cat'];
if (!isset($cat)) { $cat = 1; }

$category = new Category;
$category->id = $cat;
$category->load_from_db();

if (!$category->is_visible && !$_CURRENT_USER->get_permission("pmi","edit_directory")) {
  show_error("The category you are trying to view is not visible.",
	     $PMI_HEADER_FILE,$PMI_FOOTER_FILE);
}

$PAGE_TITLE = "Browse by Category &gt; $category->name";

include $PMI_HEADER_FILE; 

$cmenu = new Menu;
$cmenu->name = "Directory";
$cmenu->addItem("<a href=\"category_watch.php?id=$cat&returnto=".returnto_url_enc()."\">Watch Category</a>");
if ($_CURRENT_USER->get_permission("pmi","edit_directory")) {
  $cmenu->addItem("<a href=\"category_create.php?parent=$cat\">Add Sub-Category</a>");
  $cmenu->addItem("<a href=\"manage.php\">Manage Documents</a>");
}
echo "<p>". $cmenu->toString() . "</p>";

$id = $_REQUEST['id'];

$bct = new BreadCrumbTrail;
$bct->addCrumb("PMI","../"); 
if ($id == 1) { 
  $bct->addCrumb("Browse Categories",""); 
} else {
  $bct->addCrumb("Browse Categories","category.php?id=1"); 
  $bct->addCrumb($category->name,""); 
}
echo $bct->toString() . "<br /><br />";

if (count($category->children) == 0) {
//  echo "There are no sub-categories";
} else {
  heading("Sub-Categories");
  $num_visible = $category->count_visible_children();
  $num_visible += ($num_visible % 2 == 1 ? 1 : 0);
  echo "<table cellpadding=0 cellspacing=0 border=0 width=\"100%\"><tr valign=top><td><font size=-1>";
  $count = 0;
  while (list($i,$child) = each($category->children)) {
    if ($child->is_visible) { 
      $count++;
      echo $child->toHREF() . "<br>";
      if (($num_visible / 2) == $count) { echo "</font></td><td><font size=-1>"; }
    }
  }
  echo "    </td>\n  </tr>\n</table>\n";
}
echo "<p><a href=\"category.php?id=$category->parent_id\">Up one directory</a></p>";
heading("Documents");
if (count($category->documents) > 0) {
  $returntourl = urlencode(returnto_url());
  $disp = 0;
  while (list($i,$d) = each($category->documents)) {
?>
<p>
  <b><a href="document.php?id=<?php echo $d->id?>"><?php echo $d->name?></a></b><br />
  <?php echo $d->description.($d->description ? "<br />" : "")?>
  Author: <?php echo $d->author_email?><br />
  <a href="<?php echo $d->url?>" class="docUrl"><?php echo $d->url?></a>
</p>
<?php
      $disp++;  
    }
  }
  if ($disp == 0) {
    echo "There are no documents in this category.";
  }
  include $PMI_FOOTER_FILE; 
?>
