<?php
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------+
// | PHP version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2002 The PHP Group                                |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the PHP license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at                              |
// | http://www.php.net/license/2_02.txt.                                 |
// | If you did not receive a copy of the PHP license and are unable to   |
// | obtain it through the world-wide-web, please send a note to          |
// | license@php.net so we can mail you a copy immediately.               |
// +----------------------------------------------------------------------+
// | Authors: Byrne Reese <byrne at majordojo dot com                     |
// +----------------------------------------------------------------------+
//
// $Id: category_edit.php,v 1.3 2003/06/18 04:10:48 byrnereese Exp $

require_once("pmi.inc");
require_once("directory.inc");

if (!$_CURRENT_USER->get_permission("pmi","edit_directory")) {
  show_error("You have not been granted access to this page.",
	     $PMI_HEADER_FILE,$PMI_FOOTER_FILE);
}

$id = $_REQUEST['id'];

if (isset($_REQUEST['submit'])) {
  if (!isset($_POST['name']) || $_POST['name'] == "") {
    $errors .= "You must enter a name for the category<br>";
  }
  if (!isset($_POST['full_name']) || $_POST['full_name'] == "") {
    $errors .= "You must enter a full name for the category<br>";
  }
  if (!isset($_POST['maintainer']) || $_POST['maintainer'] == "") {
    $errors .= "You must enter the email address of the author<br>";
  }

  $sql = "SELECT userId FROM $USERS_DB.Users WHERE email='".$_POST['maintainer']."'";
  $query = mysql_query($sql);
  if ($query && (mysql_num_rows($query) > 0)) {
    list($maintainer_id) = mysql_fetch_row($query);
  } else {
    $errors .= "The author you entered is not valid.<br>";
  }
  if (isset($errors)) { 
    show_error($errors,$PMI_HEADER_FILE,$PMI_FOOTER_FILE);
  }

  $sql = sprintf("
      UPDATE $PMI_DB.categories 
         SET visible='%s',
             favorite='%s',
             maintainer=%d,
             name='%s',
             full_name='%s' 
       WHERE category_id=%d",
		 mysql_escape_string($_POST['visible']),
		 mysql_escape_string($_POST['favorite']),
		 $maintainer_id,
		 mysql_escape_string($_POST['name']),
		 mysql_escape_string($_POST['full_name']),
		 $id
		 );
  $query = mysql_query($sql) or die ("The query $sql failed!"); 

  // add an event so those watching the project will get notified
  $event = new Event;
  $event->insert_category_event($move,"category properties were updated");

  $returnto = $_POST['returnto'];
  if (!isset($returnto)) { $returnto = "category_edit.php?cat=$id"; }
  Header("Location: $returnto");
  exit;
}

$cat = $_REQUEST['cat'];
$edit = $_REQUEST['edit'];

$category = new Category;
$category->id = (isset($cat) ? $cat : $edit);
if ($category->id == "") { $category->id = 1; }
$category->load_from_db();

if (!$category->is_visible) {
  show_error("This category is not visible.",
	     $PMI_HEADER_FILE,$PMI_FOOTER_FILE);
}

$PAGE_TITLE = "Edit Directory Categories &gt; $category->name";

include $PMI_HEADER_FILE; 

if (isset($edit)) {
  $cat = $edit;
  heading("Edit Category: '$category->name'");
  $name = $category->name; $full_name = $category->full_name;
  $maintainer_email = $category->maintainer_email;
  $visible = $category->is_visible ? "true" : "false"; 
  $favorite = $category->is_favorite ? "true" : "false";
  include "category_form.php";
} else {
  $bct = new BreadCrumbTrail;
  $bct->addCrumb("PMI","../");
  $bct->addCrumb("Edit Directory Categories",""); 
  echo $bct->toString() . "<p>";

?>
<table cellpadding="2" cellspacing="0" border="0" width="50%">
  <tr class="heading">
    <td>&nbsp;Edit Category Children for "<?php echo $category->name?>"</td>
<?php
if ($_CURRENT_USER->get_permission('pmi','edit_directory')) {
  echo "    <td align=\"right\"><a class=\"buttonLink\" href=\"<a href=\"category_create.php?parent=$category->id&returnto=".returnto_url_enc()."\">[ Add Sub Category ]</a>&nbsp;</td>";
}
?>
  </tr>
</table>

<table cellpadding="3" cellspacing="0" border="0" width="50%">
<?php
  if ($category->id > 1) {
?>
  <tr>
    <td><a href="<?php echo $_SERVER{'SCRIPT_NAME'}?>?cat=<?php echo $category->parent_id?>">[ up one level ]</a></td>
  </tr>
<?php
  }
  while (list($i,$child) = each($category->children)) {
    echo "  <tr valign=\"top\"".($i % 2 == 0 ? " class=\"altRowBg\"" : "").">";
?>
    <td><a href="<?php echo $_SERVER{'SCRIPT_NAME'}?>?cat=<?php echo $child->id?>"><?php echo $child->name?></a>
    <?php if (!$child->is_visible) { echo " (Hidden)"; } ?>
    </td>
    <td>
    <a class="buttonLink" href="category_move.php?cat=<?php echo $child->id?>">[ Move ]</a>
    <a class="buttonLink" href="<?php echo $_SERVER{'SCRIPT_NAME'}?>?edit=<?php echo $child->id?>">[ Edit ]</a>
    <a class="buttonLink" href="category_delete.php?cat=<?php echo $child->id?>">[ Delete ]</a>
    </td>
  </tr>
<?php
  }
  echo "</table>";
}
include $PMI_FOOTER_FILE; 

?>

