<?php
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------+
// | PHP version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2002 The PHP Group                                |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the PHP license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at                              |
// | http://www.php.net/license/2_02.txt.                                 |
// | If you did not receive a copy of the PHP license and are unable to   |
// | obtain it through the world-wide-web, please send a note to          |
// | license@php.net so we can mail you a copy immediately.               |
// +----------------------------------------------------------------------+
// | Authors: Byrne Reese <byrne at majordojo dot com                     |
// +----------------------------------------------------------------------+
//
// $Id: category_move.php,v 1.2 2003/06/15 07:36:38 byrnereese Exp $

require_once("pmi.inc");
require_once("directory.inc");

if (isset($_REQUEST['move'])) {

  // first we need to make sure that we are not moving a category to one of its children.
  // doing so would effectively orhan the category because there would be no way to 
  // reference it.

  $this_cat = $_REQUEST['to'];
  while ($this_cat > 1) {
    $sql = "SELECT parent_id FROM $PMI_DB.categories WHERE category_id=$this_cat";
    $query = mysql_query($sql) or die ("The query failed! " . mysql_error()); 
    list($parent_id) = mysql_fetch_row($query);
    if ($parent_id == $_REQUEST['move']) {
      show_error("You cannot move a category to one of its ancestors (children, grandchildren, etc.)",
		 $PMI_HEADER_FILE,$PMI_FOOTER_FILE);
    }  
    $this_cat = $parent_id;
  }

  $sql = sprintf("UPDATE $PMI_DB.categories SET parent_id=%d WHERE category_id=%d",
		 $_REQUEST['to'],$_REQUEST['move']);
  $query = mysql_query($sql) or die ("The query $sql failed!"); 

  // add an event so those watching the project will get notified
  $event = new Event;
  $event->insert_category_event($_REQUEST['move'],"category was moved");
  
  $returnto = $_REQUEST['returnto'];
  if (!isset($returnto)) { $returnto = "category_edit.php?cat=$move"; }
  Header("Location: $returnto");
  exit;
}

$to = $_REQUEST['to'];
$cat = $_REQUEST['cat'];

if (!isset($to)) { $to = 1; }

$this_category = new Category;
$this_category->id = $to;
$this_category->load_from_db();

$category = new Category;
$category->id = $cat;
$category->load_from_db();

$PAGE_TITLE = "Move Category to...";

include $PMI_HEADER_FILE; 

echo "<p><a href=\"".$_SERVER{'SCRIPT_NAME'}."?move=$cat&to=$to\"><b>Move '$category->full_name' to this category ('$this_category->full_name')</b></a></p>";

heading($PAGE_TITLE);
?>
<table cellpadding="3" cellspacing="0" border="0">
<?php
if ($category->id != 1) { 
  echo "  <tr>\n    <td><a href=\"".$_SERVER{'SCRIPT_NAME'}."?cat=$cat&to=".$category->parent_id."\">[up one level]</a></td>\n  </tr>\n";
}
while (list($i,$child) = each($this_category->children)) {
  echo "  <tr valign=\"top\">\n    <td>\n";
  echo "      <a href=\"".$_SERVER{'SCRIPT_NAME'}."?cat=$cat&to=$child->id\">$child->name</a>\n";
  if (!$child->is_visible) { echo " (Hidden)"; }
  echo "    </td>\n  </tr>\n";
}
echo "</table>\n";

include $PMI_FOOTER_FILE; 
?>