<?php
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------+
// | PHP version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2002 The PHP Group                                |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the PHP license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at                              |
// | http://www.php.net/license/2_02.txt.                                 |
// | If you did not receive a copy of the PHP license and are unable to   |
// | obtain it through the world-wide-web, please send a note to          |
// | license@php.net so we can mail you a copy immediately.               |
// +----------------------------------------------------------------------+
// | Authors: Byrne Reese <byrne at majordojo dot com                     |
// +----------------------------------------------------------------------+
//
// $Id: document.php,v 1.3 2003/06/18 04:10:48 byrnereese Exp $

require_once("directory.inc");

$id = $_REQUEST['id'];

$document = new Document;
$document->id = $id;
$document->load_from_db();

$PAGE_TITLE = $document->name;
include $PMI_HEADER_FILE;

if ($_CURRENT_USER->get_permission("pmi","edit_directory")) {
  $dmenu = new Menu;
  $dmenu->name = "Directory";
  $dmenu->addItem("<a href=\"document_edit.php?id=$id&returnto=".urlencode(returnto_url())."\">Edit this Document</a>");
  $dmenu->addItem("<a href=\"document_delete.php?id=$id".(isset($returnto) ? "&returnto=$returnto" : "")."\">Delete this Document</a>");
  echo "<p>". $dmenu->toString() . "</p>";
}

heading("Document Details");
?>

<table cellpadding="2" cellspacing="0" border="0" width="100%">
  <tr>
    <td colspan="2" width="33%">
      <b>1. Location</b> 
      <hr noshade="noshade" size="1" width="100%" />
      <span class="formDesc">The first step is selecting a document you wish to link to. If you know the URL, you may enter it in, otherwise, select from a set of files.</span><br /><br />
    </td>
  </tr>
  <tr>
    <td colspan="2">&nbsp;</td>
  </tr>
  <tr>
    <td class="propName"><b>URL:</b></td>
    <td class="propValue"><a href="<?php echo $document->url?>" target="anotherwindow"><?php echo $document->url?></a></td>
  </tr>
  <tr>
    <td colspan="2">&nbsp;</td>
  </tr>
  <tr>
    <td colspan="2" width="33%">
      <b>2. Document Details</b>
      <hr noshade="noshade" size="1" width="100%" />
      <span class="formDesc">The fields below help to define the basic information about the document you want to add to the system.</span><br /><br />
    </td>
  </tr>
<?php
if ($_CURRENT_USER->get_permission("pmi","edit_directory")) { 
?>
  <tr>
    <td class="propName"><b>Status:</b></td>
    <td class="propValue"><?php echo $document->status?></td>
  </tr>
<?php
}
?>
  <tr>
    <td class="propName"><b>Document Name:</b></td>
    <td class="propValue"><?php echo $document->name?></td>
  </tr>
  <tr valign=top>
    <td class="propName"><b>Description:</b></td>
    <td class="propValue"><?php echo $document->description?></td>
  </tr>
  <tr>
    <td class="propName"><b>Author:</b></td>
    <td class="propValue"><a href="mailto:<?php echo $document->author_email?>"><?php echo $document->author_email?></a></td>
  </tr>
  <tr>
    <td colspan="2">&nbsp;</td>
  </tr>
  <tr>
    <td colspan="2" width="33%">
      <b>3. Categories</b>
      <hr noshade="noshade" size="1" width="100%" />
      <span class="formDesc">Listed below are all the categories this document belongs to.</span><br /><br />
    </td>
  </tr>
  <tr valign=top>
    <td class="propName">&nbsp;</td>
    <td class="propValue">
<?php
  while (list($i,$c) = each($document->categories)) {
    echo "<a href=\"".$c->getURL()."\">".$c->full_name."<br>\n";
  }
?>
    </td>
  </tr>
</table>
<?php
if ($_CURRENT_USER->get_permission("pmi","edit_directory") && $document->status == "pending") {
  echo "<p><a href=\"document_approve.php?id=$doc\">Approve Document</a></p>";
}
include $PMI_FOOTER_FILE; 
?>
