<?php
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------+
// | PHP version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2002 The PHP Group                                |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the PHP license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at                              |
// | http://www.php.net/license/2_02.txt.                                 |
// | If you did not receive a copy of the PHP license and are unable to   |
// | obtain it through the world-wide-web, please send a note to          |
// | license@php.net so we can mail you a copy immediately.               |
// +----------------------------------------------------------------------+
// | Authors: Byrne Reese <byrne at majordojo dot com                     |
// +----------------------------------------------------------------------+
//
// $Id: manage.php,v 1.2 2003/06/12 13:56:28 byrnereese Exp $

require_once("pmi.inc");
require_once("directory.inc");

if (!$_CURRENT_USER->get_permission("pmi","edit_directory")) {
  show_error("You have not been granted access to this page.",
	     $PMI_HEADER_FILE,$PMI_FOOTER_FILE);
}

$pending_docs = get_pending_documents();
$orphaned_docs = get_orphaned_documents();

$PAGE_TITLE = "Manage Documents";

include $PMI_HEADER_FILE; 

$dmenu = new Menu;
$dmenu->name = "Directory";
if ($_CURRENT_USER->get_permission("pmi","edit_directory")) {
  $dmenu->addItem("<a href=\"manage.php\">Manage Documents</a>");
  $dmenu->addItem("<a href=\"category_edit.php\">Edit Directory Categories</a>");
}
$dmenu->addItem("<a href=\"suggest.php\">Add Document</a>");

echo $dmenu->toString() . "<p>";

$bct = new BreadCrumbTrail;
$bct->addCrumb("PMI","../"); 
$bct->addCrumb("$PAGE_TITLE",""); 
echo $bct->toString() . "<p>";
?>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
  <tr valign="top">
    <td width="50%">
<?php
heading("Documents Pending Approval");
if (count($pending_docs) > 0) {
?>
      <table cellpadding="3" cellspacing="0" border="0" width="100%">
        <tr class="tblHeading">
          <td>ID</td>
          <td>Name</td>
          <td>Author</td>
          <td>Description</td>
        </tr>
<?php
while (list($i,$doc) = each($pending_docs)) {
?>
        <tr>
          <td><a href="document_edit.php?id=<?php echo $doc->id?>&returnto=<?php echo urlencode(returnto_url())?>"><?php echo $doc->id?></a></td>
          <td><?php echo $doc->name?></td>
          <td><?php echo $doc->author_email?></td>
          <td><?php echo $doc->description?></td>
        </tr>
<?php
}
?>
      </table>
<?php
} else {
?>
<p>There are no documents pending approval.</p>
<?php 
   }
   echo "    </td>\n    <td nowrap=\"nowrap\">&nbsp;&nbsp;&nbsp;</td>\n    <td width=\"50%\">";
   heading("Orphaned Documents");
   if (count($orphaned_docs) > 0) {
?>
      The following documents are not assigned to a category:
      <table cellpadding="3" cellspacing="0" border="0" width="100%">
        <tr class="tblHeading">
          <td>ID</td>
          <td>Name</td>
          <td>Author</td>
          <td>Description</td>
        </tr>
<?php
while (list($i,$doc) = each($orphaned_docs)) {
?>
        <tr>
          <td><a href="document_edit.php?id=<?php echo $doc->id?>&returnto=<?php echo urlencode(returnto_url())?>"><?php echo $doc->id?></a></td>
          <td><?php echo $doc->name?></td>
          <td><?php echo $doc->author_email?></td>
          <td><?php echo $doc->description?></td>
        </tr>
<?php
}
?>
      </table>
<?php
} else {
?>
<p>There are no orphaned documents.</p>
<?php 
   }
?>
    </td>
  </tr>
</table>
<?php
include $PMI_FOOTER_FILE 
?>
