<?php
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------+
// | PHP version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2002 The PHP Group                                |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the PHP license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at                              |
// | http://www.php.net/license/2_02.txt.                                 |
// | If you did not receive a copy of the PHP license and are unable to   |
// | obtain it through the world-wide-web, please send a note to          |
// | license@php.net so we can mail you a copy immediately.               |
// +----------------------------------------------------------------------+
// | Authors: Byrne Reese <byrne at majordojo dot com                     |
// +----------------------------------------------------------------------+
//
// $Id: select_file.php,v 1.2 2003/06/15 07:36:38 byrnereese Exp $

require_once("pmi.conf");
require_once("directory.inc");

$dir = $_REQUEST['dir'];

class File {
  var $name;
  var $path;
  var $icon;
}

function cmp ($a, $b) {
  $al = strtolower($a->path);
  $bl = strtolower($b->path);
  if ($al == $bl) return 0;
  return ($al < $bl) ? -1 : 1;
}

$THISDIR = urldecode($dir);
if (!preg_match("/\/$/",$THISDIR)) {
  $THISDIR = $THISDIR."/";
}

$PAGE_TITLE = "Select a File to Add";

include $PMI_HEADER_FILE; 

$bct = new BreadCrumbTrail;
$bct->addCrumb("PMI","../");
$bct->addCrumb("Suggest Document","suggest.php"); 
$bct->addCrumb("Select a File",(isset($dir) ? "select_file.php" : "")); 

$dir_list = split ("/", $THISDIR);
$accum = '';
//  $accum = $CAT_DEFAULT_DIR_URL_PREFIX;
$count = count($dir_list) - 1;
for ($i=1;$i<$count;$i++) {
  $accum .= "/$dir_list[$i]";
  if ($i != ($count - 1)) {
    $bct->addCrumb($dir_list[$i],$_SERVER['SCRIPT_NAME']."?project_cat=$project_cat&dir=$accum"); 
  } else {
    $bct->addCrumb($dir_list[$i],""); 
  }
}

echo $bct->toString() . "<br /><br />";

heading("Select a File");

$files = array();
$dirs  = array();

$dir = $FILE_BROWSING_DOCROOT.$THISDIR;
$DH = opendir($dir);
while (($file = readdir($DH)) != false) {
  $f = new File();
  $f->name = $file;
  if ($file == ".") {
    // do nothing
  } else if ($file == "..") {
    // do nothing
  } else if (is_dir("$dir/$file")) {
    $f->icon = "<img src=\"../images/folder.gif\" width=17 height=14 border=0/>";
    $f->path = "$THISDIR$file";
    $dirs[] = $f;
  } else if (is_file("$dir/$file")) {
    $lc_file = strtolower($file);
    preg_match("/\.(.*)$/",$lc_file,$matches);
    $ext = $matches[0]; 
    if ($ext == ".xls") {
      $f->icon = "<img src=\"../images/xls.gif\" width=\"14\" height=\"14\" border=\"0\" />";
    } else if ($ext == ".pdf") {
      $f->icon = "<img src=\"../images/pdf.gif\" width=\"14\" height=\"14\" border=\"0\" />";
    } else if ($ext == ".psd") {
      $f->icon = "<img src=\"../images/psd.gif\" width=\"14\" height=\"14\" border=\"0\" />";
    } else if (preg_match("/doc|rtf$/",$ext)) {
      $f->icon = "<img src=\"../images/doc.gif\" width=\"15\" height=\"14\" border=\"0\" />";
    } else if (preg_match("/cab|gz|zip|tar|hqx$/",$ext)) {
      $f->icon = "<img src=\"../images/zip.gif\" width=\"14\" height=\"14\" border=\"0\" />";
    } else if (preg_match("/\.ini|txt|cgi|sh|bat|pl|java$/",$ext)) {
      $f->icon = "<img src=\"../images/txt.gif\" width=\"12\" height=\"14\" border=\"0\" />";
    } else if (preg_match("/bmp|jpg|gif$/",$ext)) {
      $f->icon = "<img src=\"../images/gif.gif\" width=\"14\" height=\"14\" border=\"0\" />";
    } else if (preg_match("/htm|html$/",$ext)) {
      $f->icon = "<img src=\"../images/htm.gif\" width=\"14\" height=\"14\" border=\"0\" />";
    } else {
      // some default icon???
    }
    $f->path = $THISDIR.$file;
    $f->url = preg_replace("#^$CAT_DEFAULT_DIR#", "$CAT_DEFAULT_DIR_URL_PREFIX", $f->path);
    
    $files[] = $f;
  }
}
closedir($DH); 
?>
<table cellpadding="3" cellspacing="0" border="0">
<?php
usort($dirs,"cmp");
while (list($i,$d) = each($dirs)) {
?>
  <tr>
    <td><?php echo $d->icon?></td>
    <td colspan="2"><a href="<?php echo $_SERVER{'SCRIPT_NAME'}?>?project_cat=<?php echo $project_cat?>&dir=<?php echo urlencode($d->path)?>"><?php echo $d->name?></a></td>
  </tr>
<?php
} 
?>
  <tr>
    <td colspan="3">&nbsp;</td>
  </tr>
<?php
usort($files,"cmp");
while (list($i,$f) = each($files)) {
?>
  <tr>
    <td><?php echo $f->icon?></td>
    <td><?php echo $f->name?></td>
    <td><a href="suggest.php?id=<?php echo $id?>&url=<?php echo urlencode($CAT_DEFAULT_DIR_URL_PREFIX.$f->url)?>">Link to this file</a></td>
  </tr>
<?php
}
echo "</table>";
include $PMI_FOOTER_FILE; 
?>

