<?php
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------+
// | PHP version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2002 The PHP Group                                |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the PHP license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at                              |
// | http://www.php.net/license/2_02.txt.                                 |
// | If you did not receive a copy of the PHP license and are unable to   |
// | obtain it through the world-wide-web, please send a note to          |
// | license@php.net so we can mail you a copy immediately.               |
// +----------------------------------------------------------------------+
// | Authors: Byrne Reese <byrne at majordojo dot com                     |
// +----------------------------------------------------------------------+
//
// $Id: index.php,v 1.3 2003/06/14 05:21:53 byrnereese Exp $

require_once("pmi.inc");
require_once("directory.inc");

$PAGE_TITLE = "PMI Home";
include $PMI_HEADER_FILE; 

$pmenu = new Menu;
$pmenu->name = "Projects";
if ($_CURRENT_USER->get_permission("pmi","edit_release")) {
  $pmenu->addItem("<a href=\"release_create.php\">Create a Release</a>");
}
$pmenu->addItem("<a href=\"projects/project_list.php\">Browse All Projects</a>");

$dmenu = new Menu;
$dmenu->name = "Directory";
if ($_CURRENT_USER->get_permission("pmi","edit_directory")) {
  $dmenu->addItem("<a href=\"directory/manage.php\">Manage Documents</a>");
  $dmenu->addItem("<a href=\"directory/category_edit.php\">Edit Directory Categories</a>");
}
if ($_CURRENT_USER->get_permission("pmi","suggest_doc")) {
  $dmenu->addItem("<a href=\"directory/suggest.php\">Add Document</a>");
}

echo "<p>";
$pmenu->toString();
$dmenu->toString();
echo "</p>";

?>

<table cellspacing="0" cellpadding="2" border="0" width="100%">
  <tr valign=top>
    <td width="33%">
      <!-- LEFT COLUMN BEGIN -->
<?php
include "fragments/loginbox.php";
include "fragments/user_menu.php"; 
?>
      <!-- LEFT COLUMN END -->
    </td>
    <td>&nbsp;</td>
    <td width="66%">
      <!-- RIGHT COLUMN BEGIN -->
<?php
heading("Active Releases/Projects"); 
?>
      <table cellpadding="2" cellspacing="0" border="0" width="100%">
        <tr valign="top">
          <td>
<?php
// init the basic top level info
$sql = "
          SELECT a.releaseId,a.name,a.releaseNumber,p.project_id,p.name 
            FROM $PMI_DB.Releases a 
 LEFT OUTER JOIN $PMI_DB.projects p ON a.releaseId=p.release_id 
           WHERE a.status='active' 
        ORDER BY a.name,a.releaseId,p.name";
$query = mysql_query($sql) or die ("The query failed! (".mysql_error().")"); 
if (mysql_num_rows($query) == 0) {
  echo "No data"; 
} else {
  $last_rid = 0;
  while (list($rid,$rname,$rnum,$pid,$pname) = mysql_fetch_row($query)) {
    if ($rid != $last_rid) {
?>
        <tr>
          <td width="11">
            <a href="<?php echo $_SERVER{'SCRIPT_NAME'}?><?php echo ($rid == $_REQUEST['explode'] ? "" : "?explode=$rid")?>"><img border="0" width="13" height="11" src="images/<?php echo ($rid == $_REQUEST['explode'] ? "implode.gif" : "explode.gif")?>" /></a>
          </td> 
          <td colspan="2">
            <a href="release.php?id=<?php echo $rid?>"><b><?php echo ($rname == '' ? $rnum : $rname)?></b></a>
          </td>
        </tr>
<?php
    }
    if ($rid == $_REQUEST['explode']) {
?>
        <tr>
          <td></td>
          <td><a href="projects/project.php?id=<?php echo $pid?>"><?php echo $pname?></a></td>
        </tr>
<?php
    }
    $last_rid = $rid;
  }
}
?>
          </td>
        </tr>
      </table><br />

<?php
heading("Browse Documents by Category");

$cat = new Category;
$cat->id = 1; // root category;
$cat->load_from_db();

if (count($cat->children) == 0) {
  echo "No categories";
} else {
  $num_visible = $cat->count_visible_children();
  $num_visible += ($num_visible % 2 == 1 ? 1 : 0);
  echo "<table cellpadding=0 cellspacing=0 border=0 width=\"100%\"><tr valign=top><td>";
  $count = 0;
  while (list($i,$child) = each($cat->children)) {
    if ($child->is_visible) { 
      $count++;
      echo $child->toHREF("directory/") . "<br>";
      if (($num_visible / 2) == $count) { echo "</font></td><td><font size=-1>"; }
    }
  }
  echo "</td></tr></table>";
}
?>

      <!-- RIGHT COLUMN END -->
    </td>
  </tr>
</table>

<?php
include $PMI_FOOTER_FILE; 
?>
