<?php
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------+
// | PHP version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2002 The PHP Group                                |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the PHP license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at                              |
// | http://www.php.net/license/2_02.txt.                                 |
// | If you did not receive a copy of the PHP license and are unable to   |
// | obtain it through the world-wide-web, please send a note to          |
// | license@php.net so we can mail you a copy immediately.               |
// +----------------------------------------------------------------------+
// | Authors: Byrne Reese <byrne at majordojo dot com                     |
// +----------------------------------------------------------------------+
//
// $Id: milestone_list.php,v 1.4 2003/06/14 05:21:54 byrnereese Exp $

require_once("pmi.inc");

$releaseId = $_REQUEST['releaseId'];

$PAGE_TITLE = "Manage Milestones";
include $PMI_HEADER_FILE; 

$release = new Release;
$release->id = $releaseId;
$release->load_from_db();
$release->get_milestones();

$bct = new BreadCrumbTrail;
$bct->addCrumb("PMI","../"); 
$bct->addCrumb($release->name,"../release.php?id=$releaseId"); 
$bct->addCrumb($PAGE_TITLE,""); 
echo $bct->toString() . "<br /><br />";
?>
<table cellpadding="2" cellspacing="0" border="0" width="100%">
  <tr class="heading">
    <td>&nbsp;Release Milestones (Calendar)</td>
<?php
if ($_CURRENT_USER->get_permission("pmi","edit_release")) {
  echo "<td align=\"right\"><a class=\"buttonLink\" href=\"projects/project_create.php?releaseId=".$release->id."&returnto=".returnto_url_enc()."\">[ Add Milestone ]</a></td>";
}
?>
  </tr>
</table>

<?php
if (count($release->milestones) == 0) {
  echo "There are no milestones associated with this release."; 
} else {
?>
<table cellpadding="3" cellspacing="0" border="0" width="100%">
  <tr class="tblHeading">
<?php
if ($_CURRENT_USER->get_permission("pmi","edit_release")) {
  echo "<td></td>";
}
?>
<td>Name</td>
<td>Start Date</td>
<td>Status</td>
</tr>
<?
  while (list($i,$ms) = each($release->milestones)) {
    echo "<tr valign=top".($i % 2 == 1 ? " class=\"altRowBg\"" : "").">";
    if ($_CURRENT_USER->get_permission("pmi","edit_release")) {
?>
    <td nowrap="nowrap" width="10%">
      <a class="buttonLink" href="milestone_edit.php?id=<?=$ms->id?>">[ Edit ]</a>
      <a class="buttonLink" href="milestone_delete.php?id=<?=$ms->id?>">[ Delete ]</a>
    </td>
<? } ?>
    <td><?=$ms->name?></td>
    <td><?=$ms->milestone_date?></td>
    <td><?=$ms->status?></td>
  </tr>
<?
  }
  echo "</table>";  
}
include $PMI_FOOTER_FILE;
?>
