<?php
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------+
// | PHP version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2002 The PHP Group                                |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the PHP license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at                              |
// | http://www.php.net/license/2_02.txt.                                 |
// | If you did not receive a copy of the PHP license and are unable to   |
// | obtain it through the world-wide-web, please send a note to          |
// | license@php.net so we can mail you a copy immediately.               |
// +----------------------------------------------------------------------+
// | Authors: Byrne Reese <byrne at majordojo dot com                     |
// +----------------------------------------------------------------------+
//
// $Id: project.php,v 1.4 2003/06/18 04:10:49 byrnereese Exp $

require_once("pmi.inc");
require_once("directory.inc");

$id = $_REQUEST['id'];

if ($id == "") {
  show_error("No project id specified.",
	     $PMI_HEADER_FILE,$PMI_FOOTER_FILE);
}

$project = new Project;
$project->id = $id;
$project->load_from_db();

$release = new Release;
$release->id = $project->release_id;
$release->load_from_db();

$PAGE_TITLE = "$project->name Home";
include $PMI_HEADER_FILE; 

$bct = new BreadCrumbTrail;
$bct->addCrumb("PMI","../"); 
$bct->addCrumb($release->name,"../release.php?id=".$project->release_id); 
$bct->addCrumb($project->name,""); 
echo $bct->toString(); 

?><br /><br />

<table cellspacing="0" cellpadding="2" border="0" width="100%">
  <tr valign="top">
    <td width="33%">
      <!-- LEFT COLUMN BEGIN -->
      <table cellpadding="2" cellspacing="0" border="0" width="100%">
        <tr class="heading">
          <td>&nbsp;Project Details</td>
	  <td align="right">
            <a class="buttonLink" href="project_watch.php?id=<?php echo $project->id?>&returnto=<?php echo returnto_url_enc() ?>">[ Watch ]</a>
<?php
if ($_CURRENT_USER->get_permission('pmi','edit_project')) {
  echo " &nbsp;<a class=\"buttonLink\" href=\"project_edit.php?id=".$id."&returnto=".returnto_url_enc()."\">[ Edit ]</a>";
  echo " &nbsp;<a class=\"buttonLink\" href=\"project_delete.php?id=".$id."&returnto=".returnto_url_enc()."\">[ Delete ]</a>";
}
?>
          </td>
        </tr>
      </table>
      <table cellpadding="2" cellspacing="0" border="0" width="100%">
        <tr>
          <td class="propName">Name</td>
          <td class="propValue" width="100%"><?php echo $project->name?></td>
        </tr>
<?php
if ($project->manager_email) { 
?>
        <tr>
          <td nowrap="nowrap" class="propName">Project Manager:</td>
          <td class="propValue"><a href="mailto:<?php echo $project->manager_email?>"><?php echo $project->manager_email?></a></td>
        </tr>
<?php
}
?>
        <tr>
          <td nowrap="nowrap" class="propName">Targeted Release:</td>
          <td class="propValue"><a href="../release.php?id=<?php echo $project->release_id?>"><?php echo $release->name?></a></td>
        </tr>
<?php
if ($project->description) { 
?>
        <tr>
          <td><b>Description:</b></td>
        </tr>
        <tr>
          <td colspan="2"><?php echo $project->description?></td>
        </tr>
<?php
}
?>
      </table><br /><br />
<?php
heading("Other Projects in this Release");
$release->get_projects();
if (count($release->projects) == 1) {
  echo "This is the only project in this release.";
} else {
  while (list($i,$prj) = each($release->projects)) {
    if ($prj->id != $id) {
      echo "<a href=\"".$_SERVER{'SCRIPT_NAME'}."?id=$prj->id\">$prj->name</a><br>";
    }
  }
}
echo "<br /><br />\n";
if ($project->bugzilla_keyword != "" && $BUGZILLA_INTEGRATION) {
  heading("Open Bugs");
  $BUGZILLA_MILESTONE = $release->bugzilla_milestone;
  $BUGZILLA_KEYWORD = $project->bugzilla_keyword;
  include "fragments/keyword_bug_list.php";
}
?>
      <!-- LEFT COLUMN END -->
    </td>
    <td>&nbsp;</td>
    <td>
      <!-- CENTER COLUMN BEGIN -->
      <table cellpadding="2" cellspacing="0" border="0" width="100%">
        <tr class="heading">
          <td>&nbsp;Project Team</td>
<?php
if ($_CURRENT_USER->get_permission('pmi','edit_project')) {
  echo "<td align=\"right\"><a class=\"buttonLink\" href=\"edit_team.php?id=$id&returnto=".returnto_url_enc()."\">[ Edit Team ]</a></td>";
}
?>
        </tr>
      </table>
<?php 
  if (count($project->team) > 0) {
?>
      <table cellpadding="3" cellspacing="0" border="0" width="100%">
        <tr class="tblHeading">
          <td>Name</td>
          <td>Email</td>
          <td>Role/Title</td>
        </tr>
<?php
    while (list($i,$tm) = each($project->team)) {
?>
        <tr valign="top">
          <td>
            <a href="../profile.php?id=<?php echo $tm->id?>">
            <?php echo $tm->first_name." ".$tm->last_name?></a>
            <?php echo ($tm->id == $project->manager_id ? "(Project Manager)" : "")?>
          </td>
          <td><a href="mailto:<?php echo $tm->email?>"><?php echo $tm->email?></a></td>
          <td><?php echo ($tm->role ? $tm->role : $tm->title)?></td>
        </tr>
<?php
    }
    echo "      </table>\n";
  } else {
    echo "No team selected.";
  }
  echo "        <br /><br />";
?>
        <table cellpadding="2" cellspacing="0" border="0" width="100%">
          <tr class="heading">
            <td>&nbsp;Project Documentation</td>
<?php
  echo "<td align=\"right\"><a class=\"buttonLink\" href=\"../directory/suggest.php?project_cat=".$project->category_id."\">[ Add Document ]</a></td>";
?>
        </tr>
      </table>
<?php
  if ($project->category_id == 0) { 
    echo "No documentation category selected for this project yet.<br /><br />";
  } else { 
    $category = new Category;
    $category->id = $project->category_id;
    $category->load_from_db();
    if (count($category->children) > 0 && $project->show_sub_categories) {
      echo "<b>Sub-categories: </b>";
      while (list($j,$child) = each($category->children)) {
        if ($child->is_visible) { 
          if ($j > 0) { echo ", "; }
          echo $child->toHREF("../directory/");
        }
      }
      echo "<br /><br />";
    }
  }
  $disp = 0;
  if (count($category->documents) > 0) {
    while (list($k,$d) = each($category->documents)) {
      //if ($d->seclev == 0 || $d->seclev <= $user->seclev) {
        $d->toHTML(returnto_url_enc(),"../directory/");
        $disp++;
      //}
    }
  }
  if ($disp == 0) {
    echo "There are no documents in this category;";
  }
  echo "<p><b><a href=\"../directory/suggest.php?project_cat=$project->category_id\">Add a document to this project</a></b></p>";
?>
      <!-- CENTER COLUMN END -->
    </td>
  </tr>
</table>
<?php
include $PMI_FOOTER_FILE; 
?>