<?php
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------+
// | PHP version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2002 The PHP Group                                |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the PHP license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at                              |
// | http://www.php.net/license/2_02.txt.                                 |
// | If you did not receive a copy of the PHP license and are unable to   |
// | obtain it through the world-wide-web, please send a note to          |
// | license@php.net so we can mail you a copy immediately.               |
// +----------------------------------------------------------------------+
// | Authors: Byrne Reese <byrne at majordojo dot com                     |
// +----------------------------------------------------------------------+
//
// $Id: directory.inc,v 1.3 2003/06/15 07:36:38 byrnereese Exp $

require_once("users.inc");
include_once("pmi.conf");

function connect_to_categories_db() {
  global $CONNECTED_TO_PMI_DB;
  if (isset($CONNECTED_TO_PMI_DB)) { return; }
  global $PMI_DBHOST,$PMI_DB, $PMI_DBUSER, $PMI_DBPASS;
  if (!mysql_connect($PMI_DBHOST, $PMI_DBUSER, $PMI_DBPASS)) {
     echo "could not connect ($PMI_DBHOST, $PMI_DBUSER, $PMI_DBPASS)"; 	
  }
  if (!mysql_select_db($PMI_DB)) {
     echo "could not select ($PMI_DB)"; 	
  }
  $CONNECTED_TO_PMI_DB = 1;
}

function get_documents_helper($sql) {
  $documents = array();
  $query = mysql_query($sql) or die("Error: $sql<p>" . mysql_error());
  if ($query && (mysql_num_rows($query) > 0)) {
    while (list($doc_id,$name,$desc,$url,$status,$email,$user_id,$seclev) = mysql_fetch_row($query)) {
      $doc = new Document();
      $doc->id = $doc_id; $doc->name = $name; $doc->author_id = $user_id; 
      $doc->author_email = $email; $doc->url = $url; $doc->status = $status;
      $doc->description = $desc;
      $doc->seclev = $seclev;
      $documents[] = $doc;
    }
  }
  return $documents;
}

function get_pending_documents() {
  global $USERS_DB,$PMI_DB;
  $sql = "
        SELECT d.document_id,d.name,d.description,d.url,d.status,u.email,u.userId,d.seclev 
          FROM $USERS_DB.Users u, $PMI_DB.documents d 
         WHERE u.userId=d.author 
           AND d.status='pending' 
      ORDER BY d.name";
  return get_documents_helper($sql);
}

function get_orphaned_documents() {
  global $USERS_DB,$PMI_DB;
  $sql = "
             SELECT d.document_id,d.name,d.description,d.url,d.status,u.email,u.userId,d.seclev,
                     count(m.category_id) AS foo 
               FROM $USERS_DB.Users u, $PMI_DB.documents d 
    LEFT OUTER JOIN $PMI_DB.document_categories_map m ON d.document_id=m.document_id 
              WHERE u.userId=d.author
                AND d.status <> 'rejected' 
           GROUP BY document_id 
             HAVING foo=0 
           ORDER BY d.name";
  return get_documents_helper($sql);
}

class Document {
  var $id;
  var $name;
  var $creator_email;
  var $creator_id;
  var $author_email;
  var $author_id;
  var $description;
  var $url;
  var $status;
  var $seclev;
  var $categories;

  function getURL() {
    return "document.php?doc=$this->id";
  }

  function toHREF($prepend="") {
    return "<a href=\"$prepend".$this->getURL()."\">$this->name</a>";
  }

  function toHTML($returntourl,$prepend="") {
    global $user; 
    echo "<p><b><a href=\"${prepend}document.php?id=$this->id\">$this->name</a></b>";
/*
    if ($user->seclev > $DIRECTORY_EDITOR_PERM) {
      echo "&nbsp;<a href=\"${prepend}document_edit.php?id=$this->id&returnto=$returntourl\"><font size=-2>Edit</font></a>"; 
    }
*/
    if ($this->seclev > 1) {
      echo "&nbsp;<img src=\"../images/lock.gif\" width=\"12\" height=\"12\" border=\"0\"/>"; 
    }
    echo "<br>$this->description".($this->description ? "<br>" : "");
    echo "<font color=\"#999999\" size=-2>Author: $this->author_email<br>";
    echo "<a href=\"$this->url\"><font color=\"#999999\">$this->url</font></a></font></p>";
  }

  function get_categories() {
    global $USERS_DB,$PMI_DB;
    $this->categories = array();
    $sql = "
           SELECT c.category_id,c.parent_id,c.maintainer,c.name,c.full_name,
                  IF(strcmp(c.visible,'true'),0,1) AS is_visible,
                  IF(strcmp(c.favorite,'true'),0,1) AS is_favorite,u.email,u.userId 
             FROM $USERS_DB.Users u, 
                  $PMI_DB.categories d, $PMI_DB.categories c,$PMI_DB.document_categories_map dcm 
            WHERE dcm.document_id=$this->id 
              AND c.category_id=dcm.category_id 
              AND d.category_id=dcm.category_id 
              AND u.userId=d.maintainer 
         ORDER BY c.name";
    $query = mysql_query($sql) or die("Error: $sql<p>" . mysql_error());
    if ($query && (mysql_num_rows($query) > 0)) {
      while (list($id,$parent,$user_id,$name,$full,$visible,$favorite) = mysql_fetch_row($query)) {
        $cat = new Category();
        $cat->id = $id; $cat->name = $name; $cat->full_name = $full; $cat->maintainer = $user_id; $this->parent_id = $parent;
        $cat->is_visible = $visible; $cat->is_favorite = $favorite;
        $this->categories[] = $cat;
      }
    }
  }
  
  function load_from_db() {
    global $USERS_DB,$PMI_DB;
    $sql = "
        SELECT d.document_id,d.name,d.description,d.url,d.status,d.seclev,u.email,u.userId,u2.email,u2.userId
          FROM $USERS_DB.Users u, $USERS_DB.Users u2, $PMI_DB.documents d 
         WHERE document_id=$this->id 
           AND u.userId=d.author 
           AND u2.userId=d.created_by";
    $query = mysql_query($sql) or die("Error: $sql<p>" . mysql_error());
    if ($query && (mysql_num_rows($query) > 0)) {
      while (list($doc_id,$name,$desc,$url,$status,$seclev,$email,$user_id,$creator,$creator_id) = mysql_fetch_row($query)) {
        $this->id = $doc_id; $this->description = $desc; $this->name = $name; 
        $this->status = $status;
        $this->url = $url;
        $this->seclev = $seclev;
        $this->author_id = $user_id; 
        $this->author_email = $email; 
        $this->creator_id = $creator_id; 
        $this->creator_email = $creator; 
      }
      $this->get_categories();
    }
  }
}

class Category {
  var $id;
  var $parent_id;
  var $maintainer_email;
  var $maintainer_id;
  var $name;
  var $full_name;
  var $is_visible;
  var $is_favorite;
  var $children;
  var $documents;

  function get_documents($status='') {
    global $USERS_DB,$PMI_DB;
    $this->documents = array();
    $sql = "
        SELECT d.document_id,d.name,d.description,d.url,d.status,d.seclev,u.email,u.userId,u2.email,u2.userId 
          FROM $USERS_DB.Users u, $USERS_DB.Users u2, 
               $PMI_DB.documents d, $PMI_DB.categories c,$PMI_DB.document_categories_map dcm 
         WHERE dcm.category_id=$this->id 
           AND c.category_id=dcm.category_id 
           AND d.document_id=dcm.document_id 
           AND u.userId=d.author 
           AND u2.userId=d.created_by".($status != '' ? " AND d.status='$status'" : '')." ORDER BY d.name";
    $query = mysql_query($sql) or die("Error: $sql<p>" . mysql_error());
    if ($query && (mysql_num_rows($query) > 0)) {
      while (list($doc_id,$name,$desc,$url,$status,$seclev,$email,$user_id,$creator_email,$creator_id) = mysql_fetch_row($query)) {
        $doc = new Document();
        $doc->id = $doc_id; $doc->name = $name; 
        $doc->author_id = $user_id; 
        $doc->author_email = $email; 
        $this->creator_id = $creator_id; 
        $this->creator_email = $creator_email; 
        $doc->url = $url; 
        $doc->seclev = $seclev; 
        $doc->status = $status;
        $doc->description = $desc;
        $this->documents[] = $doc;
      }
    }
    return $this->documents;
  }
  
  function load_from_db() {
    global $PMI_DB, $USERS_DB;
    $this->children = array();
    $sql = "SELECT c.category_id,c.parent_id,c.name,c.full_name,IF(strcmp(c.visible,'true'),0,1) as is_visible,IF(strcmp(c.favorite,'true'),0,1) as is_favorite,u.userId,u.email FROM $PMI_DB.categories c,$USERS_DB.Users u WHERE c.maintainer=u.userId AND (parent_id=$this->id OR category_id=$this->id) ORDER BY name";
    $query = mysql_query($sql) or die("Error: $sql<p>" . mysql_error());
    if ($query && (mysql_num_rows($query) > 0)) {
      while (list($id,$parent,$name,$full,$visible,$favorite,$user_id,$email) = mysql_fetch_row($query)) {
        if ($this->id == $id) {
          $this->name = $name; $this->full_name = $full; $this->maintainer_id = $user_id; $this->maintainer_email = $email; 
          $this->parent_id = $parent;
          $this->is_visible = $visible; $this->is_favorite = $favorite;
        } else {
          $cat = new Category();
          $cat->id = $id; $cat->full_name = $full; $cat->name = $name; $cat->maintainer = $user_id; 
          $cat->is_visible = $visible; $cat->is_favorite = $favorite;
          $this->children[] = $cat;
        }
      }
    }
    $this->get_documents('approved');
  }

  function count_visible_children() {
    $count = 0;
    while (list($i,$child) = each($this->children)) {
      if ($child->is_visible) { $count++; }
    }
    reset($this->children);
    return $count;
  }

  function getURL() {
    return "category.php?cat=$this->id";
  }

  function toHREF($prepend="") {
    if (!$this->is_visible) { return; }
    if ($this->is_favorite) { 
      return "<a href=\"$prepend".$this->getURL()."\"><b>$this->name</b></a>";
    }
    return "<a href=\"$prepend".$this->getURL()."\">$this->name</a>";
  }
}

connect_to_categories_db();
?>